Page MenuHomePhabricator

efl_task: remove NOP / unimplement funtions
ClosedPublic

Authored by bu5hm4n on Dec 25 2018, 3:19 AM.

Details

Summary

this makes efl_task abstract which ensures that it cannot be
instanciated. Further more, functions that needs to be implement are now
pure_virtual.

ref T7514

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Dec 25 2018, 3:19 AM
bu5hm4n requested review of this revision.Dec 25 2018, 3:19 AM

Can you add a comment in the commit log about why this is happening so that people don't have to reference a ticket? Technically the patch seems reasonable.

segfaultxavi accepted this revision.Dec 27 2018, 2:10 AM

These NOP functions have not been modified since they were initially created, probably as test code, and then they were forgotten. This new approach makes more sense.

This revision is now accepted and ready to land.Dec 27 2018, 2:10 AM
cedric accepted this revision.Dec 27 2018, 11:43 AM

Make sense to go with abstract.

Closed by commit rEFLa570d6b25ce2: efl_task: remove NOP / unimplement funtions (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by segfaultxavi). · Explain WhyJan 10 2019, 4:01 AM
This revision was automatically updated to reflect the committed changes.